Bug 105039 - No 120hz with 4.15 kernel and DC enabled
Summary: No 120hz with 4.15 kernel and DC enabled
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-11 02:32 UTC by Emanuel Couto
Modified: 2018-02-27 20:43 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Couto 2018-02-11 02:32:03 UTC
Since kernel 4.15 only 60hz is available. Forcing 120hz results in a blank screen. Only happens with DC enabled.
Comment 1 Matthew Scheirer 2018-02-11 20:10:50 UTC
Same issue with 4.15 / Mesa 17.3 / Xorg 1.19.6 on a 290 + Acer GN246HL. No DC the 144 / 120 / etc modes show up, DC only 60hz does.
Comment 2 Marc Cousin 2018-02-24 18:11:53 UTC
I'm having a variant of this… cannot go over 1920x1080p

4.15, mesa 17.3, xorg 1.19.6, RX570. Deactivating DC makes resolutions available again.
Comment 3 Harry Wentland 2018-02-26 15:26:14 UTC
This should be fixed in our staging branches.

Can you try either the amd-staging-drm-next or drm-next-4.17-wip branch from Alex's repo. You can find it at https://cgit.freedesktop.org/~agd5f/linux/?h=amd-staging-drm-next
Comment 4 Emanuel Couto 2018-02-26 23:19:18 UTC
(In reply to Harry Wentland from comment #3)
> This should be fixed in our staging branches.
> 
> Can you try either the amd-staging-drm-next or drm-next-4.17-wip branch from
> Alex's repo. You can find it at
> https://cgit.freedesktop.org/~agd5f/linux/?h=amd-staging-drm-next

I confirmed this bug is fixed on amd-staging-drm-next branch (commit: 82beba2883b2). I'll test drm-next.4.17-wip later as well just to be sure. I assume this fix is going to be in kernel 4.16 (or already is)?

BTW I really like what AMD is doing regarding Linux. Thanks.
Comment 5 Emanuel Couto 2018-02-27 20:43:45 UTC
(In reply to Emanuel Couto from comment #4)
> (In reply to Harry Wentland from comment #3)
> > This should be fixed in our staging branches.
> > 
> > Can you try either the amd-staging-drm-next or drm-next-4.17-wip branch from
> > Alex's repo. You can find it at
> > https://cgit.freedesktop.org/~agd5f/linux/?h=amd-staging-drm-next
> 
> I confirmed this bug is fixed on amd-staging-drm-next branch (commit:
> 82beba2883b2). I'll test drm-next.4.17-wip later as well just to be sure. I
> assume this fix is going to be in kernel 4.16 (or already is)?
> 
> BTW I really like what AMD is doing regarding Linux. Thanks.

Finished testing drm-next-4.17-wip branch (commit: d0d4f398ddc0). This bug is solved in both branches.

Thanks. Marked as fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.